Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class NetDbRenderer

    java.lang.Object
      net.i2p.router.web.NetDbRenderer

    public class NetDbRenderer

extends Object

Constructor Summary
`NetDbRenderer(RouterContext ctx)`

Method Summary
`void` | `renderLeaseSetHTML(Writer out, boolean debug)`
`void` | `renderRouterInfoHTML(Writer out, String routerPrefix)`
`void` | `renderStatusHTML(Writer out, int mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetDbRenderer

    public NetDbRenderer(RouterContext ctx)

Method Detail

### renderRouterInfoHTML

    public void renderRouterInfoHTML(Writer out,
                                     String routerPrefix)
                              throws IOException

  Throws:
    `IOException`

### renderLeaseSetHTML

    public void renderLeaseSetHTML(Writer out,
                                   boolean debug)
                            throws IOException

  Parameters:
    `debug` - @since 0.7.14 sort by distance from us, display median distance, and other stuff, useful when floodfill
  Throws:
    `IOException`

### renderStatusHTML

    public void renderStatusHTML(Writer out,
                                 int mode)
                          throws IOException

  Parameters:
    `mode` - 0: our info and charts only; 1: full routerinfos and charts; 2: abbreviated routerinfos and charts
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD